Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Blockdrehung kopieren

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Blockdrehung kopieren (1940 mal gelesen)
erbschen
Mitglied
Zeichnerin für Elektrotechnik


Sehen Sie sich das Profil von erbschen an!   Senden Sie eine Private Message an erbschen  Schreiben Sie einen Gästebucheintrag für erbschen

Beiträge: 78
Registriert: 13.07.2004

Windows 7; ACAD 2019

erstellt am: 01. Jun. 2011 11:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallöle Forum,

gibt es eine Möglichkeit die Drehung eines Blocks auf einen anderen zu kopieren. So wie bei Eigenschaften kopieren. Nur übernimmt man dabei leider nicht die Drehung.

Hat Jemand eine Idee???

GLG

erbschen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 01. Jun. 2011 11:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für erbschen 10 Unities + Antwort hilfreich

Programmiert hat man das in 3 Zeilen, oder einer recht langen, aber in dem Fall würde ich doch
Copy&Paste + das Eigenschaftenfenster vorschlagen - so oft sollte dieses Vorhaben während der
Bearbeitung ja nicht vorkommen imho .

------------------
CAD.de System-Angaben  -  CAD on demand  -  User:FAQ(Acad)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dig15
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. für Markscheidewesen und Geodäsie



Sehen Sie sich das Profil von Dig15 an!   Senden Sie eine Private Message an Dig15  Schreiben Sie einen Gästebucheintrag für Dig15

Beiträge: 5828
Registriert: 27.02.2003

DWG TrueView 2014

erstellt am: 01. Jun. 2011 11:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für erbschen 10 Unities + Antwort hilfreich

Persönlich würde ich über SAUSWAHL alle gewünschten Blöcke markieren (lassen) und dann die Drehung im Eigenschaftenfenster ändern.

------------------
Viele Grüße Lutz

Glück Auf!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 893
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 01. Jun. 2011 13:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für erbschen 10 Unities + Antwort hilfreich

na weil es nur 3 Zeilen sind  ...

Code:
(defun c:Dreh (/ vlaobj vla-obj ang)
  (and (setq vlaobj  (vlax-ename->vla-object (car (entsel "\nDrehung von: ")))
    ang    (vlax-get-property vlaobj 'Rotation)
    vla-obj (vlax-ename->vla-object (car (entsel "\nDrehung auf: ")))
      )
      (vlax-property-available-p vla-obj 'Rotation)
      (vlax-put-property vla-obj 'Rotation ang)
  )
  (princ)
)

------------------
Mfg Heiko

Elefantenjagd in Afrika
"... LISP-Programmierer bauen einen Irrgarten aus Klammern und hoffen, dass sich der Elefant darin verirrt..."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

erbschen
Mitglied
Zeichnerin für Elektrotechnik


Sehen Sie sich das Profil von erbschen an!   Senden Sie eine Private Message an erbschen  Schreiben Sie einen Gästebucheintrag für erbschen

Beiträge: 78
Registriert: 13.07.2004

Windows 7; ACAD 2019

erstellt am: 01. Jun. 2011 15:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi Heiko,

das ist ja ganz lieb von Dir gewesen, aber es funktioniert nicht.

Das war unsere Konversation:

Befehl: DREH
Drehung von: ; Fehler: no function definition: VLAX-ENAME->VLA-OBJECT
Befehl:
Befehl: *Abbruch*

Liebe Grüße

Ulli

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 893
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 01. Jun. 2011 15:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für erbschen 10 Unities + Antwort hilfreich

setz mal ein
(vl-load-com)
davor!

ich lad es standardmäßig immer mit, deshalb fehlt es immer im Code...

------------------
Mfg Heiko

Elefantenjagd in Afrika
"... LISP-Programmierer bauen einen Irrgarten aus Klammern und hoffen, dass sich der Elefant darin verirrt..."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

erbschen
Mitglied
Zeichnerin für Elektrotechnik


Sehen Sie sich das Profil von erbschen an!   Senden Sie eine Private Message an erbschen  Schreiben Sie einen Gästebucheintrag für erbschen

Beiträge: 78
Registriert: 13.07.2004

Windows 7; ACAD 2019

erstellt am: 01. Jun. 2011 16:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Du bist total supi......

ES FUNKTIONIERT!!!!

Und ich bin angehende Programmiererin.... Habe es geschafft selbständig das geschriebene Kürzel zu kopieren und einzufügen.

Der Lisp kommt in meinen Standart Appload. GEIL!!!


Wenn Du mal in Nürnberg bist, hast Du nen Kaffee bei mir gut.

DANKE HEIKO!!!


GLG

Ulli

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

erbschen
Mitglied
Zeichnerin für Elektrotechnik


Sehen Sie sich das Profil von erbschen an!   Senden Sie eine Private Message an erbschen  Schreiben Sie einen Gästebucheintrag für erbschen

Beiträge: 78
Registriert: 13.07.2004

Windows 7; ACAD 2019

erstellt am: 27. Mai. 2013 14:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi Forum, Hi Heiko,

So lange hat mein Dreh-Befehl funktioniert. War echt klasse mit uns beiden. Aber seit ich einen neuen PC habe läuft es nicht mehr 

Das ist der LISP:
(vl-load-com)
(defun c reh (/ vlaobj vla-obj ang)
  (and (setq vlaobj  (vlax-ename->vla-object (car (entsel "\nDrehung von: ")))
    ang    (vlax-get-property vlaobj 'Rotation)
    vla-obj (vlax-ename->vla-object (car (entsel "\nDrehung auf: ")))
      )
      (vlax-property-available-p vla-obj 'Rotation)
      (vlax-put-property vla-obj 'Rotation ang)
  )
  (princ)
)

Das sagt ACAD zu mir
Befehl: dreh
Drehung von: ; Fehler: Fehlerhafter Argumenttyp: lentityp nil

Wer kann mir helfen???
Es schreibt ein trauriges Erbschen aus dem regnerischen Franken 


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd10
Mitglied



Sehen Sie sich das Profil von Bernd10 an!   Senden Sie eine Private Message an Bernd10  Schreiben Sie einen Gästebucheintrag für Bernd10

Beiträge: 740
Registriert: 20.11.2003

erstellt am: 28. Mai. 2013 08:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für erbschen 10 Unities + Antwort hilfreich

Hallo erbschen,

Zitat:
Original erstellt von erbschen:

Das sagt ACAD zu mir
Befehl: dreh
Drehung von: ; Fehler: Fehlerhafter Argumenttyp: lentityp nil

Unter AutoCAD 2012 habe ich diesen Fehler nicht. Leider kann ich es unter 2013 nicht testen.

Viele Grüße
Bernd

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

erbschen
Mitglied
Zeichnerin für Elektrotechnik


Sehen Sie sich das Profil von erbschen an!   Senden Sie eine Private Message an erbschen  Schreiben Sie einen Gästebucheintrag für erbschen

Beiträge: 78
Registriert: 13.07.2004

Windows 7; ACAD 2019

erstellt am: 28. Mai. 2013 08:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Schade.....!

Kann mir jemand anders aus dem Forum helfen.

Danke Trotzdem Bernd


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1137
Registriert: 11.01.2006

Win 10
ACAD 2019

erstellt am: 28. Mai. 2013 09:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für erbschen 10 Unities + Antwort hilfreich

Unter 2014 gibts auch keinen Fehler, aber ich hatte ja hier
http://ww3.cad.de/foren/ubb/Forum145/HTML/003898.shtml#000000
auch etwas, dass nur in 2013 nicht ging.

Ich glaub das liegt an der Version.

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Caladia
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von Caladia an!   Senden Sie eine Private Message an Caladia  Schreiben Sie einen Gästebucheintrag für Caladia

Beiträge: 2546
Registriert: 04.03.2002

ACAD2009
ACAD2010 SP2
ACAD2011 SP1
ABDS-S 2012 SP2
ABDS-S 2013 SP2
ABDS-S 2014 SP1
ABDS-S 2015 SP2
ABDS-S 2016
Expresstools
A3-Makroboard
16-Tasten Lupe
Impression 3
Win7 64bit
IE11
Firefox
Office2003 SP3

erstellt am: 28. Mai. 2013 10:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für erbschen 10 Unities + Antwort hilfreich

Bei mir kommt diese Fehlermeldung... aber nur, wenn man daneben klickt.    Dann ist es aber auch egal mit welcher Version.
Solange man den Block trifft, dreht der sich bei mir auch und es gibt keine Fehlermeldung, auch egal mit welcher Version.
(Getestet unter 2012, 2013 + 2014)

------------------
Gruss
Caladia

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

erbschen
Mitglied
Zeichnerin für Elektrotechnik


Sehen Sie sich das Profil von erbschen an!   Senden Sie eine Private Message an erbschen  Schreiben Sie einen Gästebucheintrag für erbschen

Beiträge: 78
Registriert: 13.07.2004

Windows 7; ACAD 2019

erstellt am: 26. Jul. 2016 09:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi Ihr Lieben,

so jetzt funktioniert aus undefinierbaren Gründen mein "Drehen"-Befehl wieder nicht mehr.... Ich klicke auch nicht daneben...

Habe das Lisp neu geladen aber ich bekomme immer die Fehlermeldung

"; Fehler: no function definition: VLAX-ENAME->VLA-OBJECT"

Der Lisp ist wie folgt:

vl-load-com)
(defun c reh (/ vlaobj vla-obj ang)
  (and (setq vlaobj  (vlax-ename->vla-object (car (entsel "\nDrehung von: ")))
    ang    (vlax-get-property vlaobj 'Rotation)
    vla-obj (vlax-ename->vla-object (car (entsel "\nDrehung auf: ")))
      )
      (vlax-property-available-p vla-obj 'Rotation)
      (vlax-put-property vla-obj 'Rotation ang)
  )
  (princ)
)

GLG aus Franken

erbschen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kuschelfee
Mitglied
Bauzeichnerin


Sehen Sie sich das Profil von Kuschelfee an!   Senden Sie eine Private Message an Kuschelfee  Schreiben Sie einen Gästebucheintrag für Kuschelfee

Beiträge: 127
Registriert: 07.05.2007

Soficad 2018-7
AutoCAD 2019.1.2
Windows 7 Professional

erstellt am: 26. Jul. 2016 12:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für erbschen 10 Unities + Antwort hilfreich

Wenn ich mir deinen Code ansehe fällt mir auf das am Anfang eine Klammer fehlt
Code:
(vl-load...

und der doppeltpunkt hinter c
Code:
(defun c:reh...

Wenn ich diese bei mir integriere funktioniert deine Lisp bei mir ohne Fehlermeldung:
hier der korregierte Code

Code:
(vl-load-com)
(defun c:reh (/ vlaobj vla-obj ang)
  (and (setq vlaobj  (vlax-ename->vla-object (car (entsel "\nDrehung von: ")))
    ang    (vlax-get-property vlaobj 'Rotation)
    vla-obj (vlax-ename->vla-object (car (entsel "\nDrehung auf: ")))
      )
      (vlax-property-available-p vla-obj 'Rotation)
      (vlax-put-property vla-obj 'Rotation ang)
  )
  (princ)
)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bigggi
Mitglied
Bauzeichnerin


Sehen Sie sich das Profil von Bigggi an!   Senden Sie eine Private Message an Bigggi  Schreiben Sie einen Gästebucheintrag für Bigggi

Beiträge: 175
Registriert: 14.02.2006

AutoCad Map2017

erstellt am: 27. Jul. 2016 09:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für erbschen 10 Unities + Antwort hilfreich

Hallo Erbschen,

ich arbeite sehr gern hiermit:
http://ww3.cad.de/foren/ubb/uploads/Britt/_drehwinkel-klonen.lsp.txt

Es funktioniert nicht nur für Blöcke, sondern auch für Texte, Mtexte und Linien...
Vielleicht hilft dir das ja.
Gruß, Bigggi

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

erbschen
Mitglied
Zeichnerin für Elektrotechnik


Sehen Sie sich das Profil von erbschen an!   Senden Sie eine Private Message an erbschen  Schreiben Sie einen Gästebucheintrag für erbschen

Beiträge: 78
Registriert: 13.07.2004

Windows 7; ACAD 2019

erstellt am: 27. Jul. 2016 11:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi Biggi,

vielen Lieben Dank, Dein Drehwinkel Klonen funktioniert Top.....

Sehr hilfreich bei runden Gebäuden.

Hast nen Kaffee in Franken gut     


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Rembetiko
Mitglied
CAD-Konstrukteur


Sehen Sie sich das Profil von Rembetiko an!   Senden Sie eine Private Message an Rembetiko  Schreiben Sie einen Gästebucheintrag für Rembetiko

Beiträge: 101
Registriert: 06.10.2015

AutoCAD Rel. 2.6 bis AutoCAD 2018
C.A.T.S. Applikation
AutoCAD Design Suite Ultimate 2017
Dell Precision 3620
Intel i7-7700K 4,2 GHz
32 GB Arbeitsspeicher
NVidia Quadro M2000
Windows 10 Pro 64-Bit
HP Designjet 2500 PS

erstellt am: 27. Jul. 2016 13:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für erbschen 10 Unities + Antwort hilfreich

Schicke Funktion, gibt ein paar Punkte :-)

------------------
*So spielt das Leben sagte der Clown und malte sich ein Lächeln ins Gesicht*

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz